package lib.args;

enum ArgType {
	/** Any Int **/
	Int(name:String);

	/** Any Float **/
	Float(name:String);

	/** Any String **/
	String(name:String);

	/** A side like front, back, top, ... **/
	Side(name:String);

	/** Any peripheral address that exists **/
	Addr(name:String);

	/** Address of peripheral with given type **/
	Peripheral(name:String, type:String);

	/** An optional argument **/
	Optional(type:ArgType);

	/** The rest of the arguments as a string array **/
	Rest(name:String);
}
